aboutsummaryrefslogtreecommitdiff
path: root/comms/cdce/pkg-install
diff options
context:
space:
mode:
Diffstat (limited to 'comms/cdce/pkg-install')
-rw-r--r--comms/cdce/pkg-install18
1 files changed, 18 insertions, 0 deletions
diff --git a/comms/cdce/pkg-install b/comms/cdce/pkg-install
new file mode 100644
index 000000000000..b9c2c1f9a34a
--- /dev/null
+++ b/comms/cdce/pkg-install
@@ -0,0 +1,18 @@
+#!/bin/sh
+#
+# $FreeBSD$
+
+PREFIX=${PKG_PREFIX:-/usr/local}
+
+[ "x$1" = "x" ] && exit 1
+if [ "x$2" = "xPOST-INSTALL" ]; then
+ if [ `sysctl -n kern.osreldate` -ge 500000 ]; then
+ KMODDIR="/boot/modules"
+ else
+ KMODDIR="/modules"
+ fi
+
+ install -C -o root -g wheel -m 555 ${PREFIX}/lib/cdce/if_cdce.ko \
+ ${KMODDIR}
+ kldxref ${KMODDIR}
+fi